{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="container mt-5">
  <div class="row">
    <div class="col-md-2"></div>
    <div class="col-md-8">
      <div class="card">
        <div class="card-header bg-success text-white">
          <h2 class="mb-0">Actualizar Carrera</h2>
        </div>
        <div class="card-body">
          <form action="/procesarActualizacionCarrera/" method="post" id="frm_nueva_carrera" enctype="multipart/form-data">
            {% csrf_token %}

            <input type="hidden" name="id_carrera" value="{{ carrera.idCarreraSEDP }}">

            <div class="mb-3">
              <label for="nombre_carrera" class="form-label"><b>NOMBRE</b></label>
              <input type="text" name="nombre_carrera" id="nombre_carrera" value="{{ carrera.nombreCarreraSEDP }}" placeholder="Ingrese el nombre de la carrera" class="form-control" required>
            </div>

            <div class="mb-3">
              <label for="director_carrera" class="form-label"><b>DIRECTOR</b></label>
              <input type="text" name="director_carrera" id="director_carrera" value="{{ carrera.directorCarreraSEDP }}" placeholder="Ingrese el director" class="form-control" required>
            </div>

            <div class="mb-3">
                <label for="perfil_egreso" class="form-label"><b>PERFIL DE EGRESO</b></label>
                <select class="form-control" id="perfil_egreso" name="perfil_egreso" required>

                    <option value="Ingeniero" {% if carrera.perfilEgresoCarrera == "Ingeniero" %} selected {% endif %}>Ingeniero/Ingeniera</option>
                    <option value="Licenciado" {% if carrera.perfilEgresoCarrera == "Licenciado" %} selected {% endif %}>Licenciado/Licenciada</option>
                    <option value="Tecnólogo" {% if carrera.perfilEgresoCarrera == "Tecnólogo" %} selected {% endif %}>Tecnólogo/Tecnóloga</option>
                </select>
            </div>
            <div class="form-group">
    <label for="duracion_carrera" class="form-label"><b> NUMERO DE SEMESTRES):</b></label>
    <select class="form-control" id="duracion_carrera" name="duracion_carrera" required>

        <option value="4" {% if carrera.duracionCarrera == 4 %}selected{% endif %}>4 SEMESTRES</option>
        <option value="5" {% if carrera.duracionCarrera == 5 %}selected{% endif %}>5 SEMESTRES</option>
        <option value="6" {% if carrera.duracionCarrera == 6 %}selected{% endif %}>6 SEMESTRES</option>
        <option value="7" {% if carrera.duracionCarrera == 7 %}selected{% endif %}>7 SEMESTRES</option>
        <option value="8" {% if carrera.duracionCarrera == 8 %}selected{% endif %}>8 SEMESTRES</option>
        <option value="9" {% if carrera.duracionCarrera == 9 %}selected{% endif %}>9 SEMESTRES</option>
        <option value="10" {% if carrera.duracionCarrera == 10 %}selected{% endif %}>10 SEMESTRES</option>
    </select>
</div>



            <div class="mb-2">
              <label for="logo_carrera" class="form-label"><b>LOGO</b></label>
              <input type="file" accept="image/*" class="form-control rounded-4 m-1" name="logo_carrera" id="logo_carrera" />
              {% if carrera.logoCarreraSEDP %}
                <a href="{{ carrera.logoCarreraSEDP.url }}" target="_blank">
                  <img src="{{ carrera.logoCarreraSEDP.url }}" alt="" width="100" height="50"></a>
              {% endif %}
            </div>
            <script>
              $(document).ready(function () {
                  $("#logo_carrera").fileinput({
                    //showUpload:false
                    //showRemove: false,
                    language:'es',
                  });
              });
            </script>

            <div class="text-center">
              <button type="submit" class="btn btn-success">Actualizar</button>
              <a href="/" class="btn btn-danger">Cancelar</a>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}
